com.unitech.lib.uhf.types

## Enum Mask6cTarget

- java.lang.Object
- - java.lang.Enum<Mask6cTarget>
  - - com.unitech.lib.uhf.types.Mask6cTarget

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<Mask6cTarget>

      public enum Mask6cTarget
      extends Enum<Mask6cTarget>
      implements IEnumType

  The Mask6cTarget enumeration represents the Flag where the result status of the Selection Mask will be saved when the RFID UHF module is inventoried.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S0`
    `S1`
    `S2`
    `S3`
    `SL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static String[]` | `names()` Returns an array containing the name of this enum type.
    `String` | `toString()` Return the name of the enum
    `static Mask6cTarget` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static Mask6cTarget` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cTarget` | `valueOfName(String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### S0

          public static final Mask6cTarget S0

    - #### S1

          public static final Mask6cTarget S1

    - #### S2

          public static final Mask6cTarget S2

    - #### S3

          public static final Mask6cTarget S3

    - #### SL

          public static final Mask6cTarget SL

  - ### Method Detail

    - #### values

          public static Mask6cTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mask6cTarget c : Mask6cTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mask6cTarget valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<Mask6cTarget>`
      Returns:
        The name of the enum

    - #### valueOf

          public static Mask6cTarget valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static Mask6cTarget valueOfName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.